
#
# Patch managed by http://www.holgerschurig.de/patcher.html
#

--- openntpd-3.6.1p1/configure.ac~autofoo
+++ openntpd-3.6.1p1/configure.ac
@@ -500,8 +500,11 @@
 	[
 		AC_MSG_RESULT(not found)
 		AC_MSG_ERROR(OpenSSL version header not found.)
-	]
-)
+	],[
+		AC_MSG_RESULT(unknown)
+		AC_MSG_WARN(Skipping OpenSSL header version check due to crosscompilation.)
+	
+])
 
 # Determine OpenSSL library version
 AC_MSG_CHECKING([OpenSSL library version])
@@ -533,6 +536,9 @@
 	[
 		AC_MSG_RESULT(not found)
 		AC_MSG_ERROR(OpenSSL library not found.)
+	],[
+		AC_MSG_RESULT(unknown)
+		AC_MSG_WARN(Skipping OpenSSL library version check due to crosscompilation.)
 	]
 )
 
@@ -552,6 +558,9 @@
 		AC_MSG_ERROR([Your OpenSSL headers do not match your library.
 Check config.log for details.
 Also see contrib/findssl.sh for help identifying header/library mismatches.])
+	],[
+		AC_MSG_RESULT(unknown)
+		AC_MSG_WARN(Skipping OpenSSL version comparison due to crosscompilation.)
 	]
 )
 
@@ -572,6 +581,10 @@
 	[
 		AC_MSG_RESULT(no)
 		AC_MSG_ERROR(OpenNTPd requires a self-seeding OpenSSL)
+	],
+	[
+		AC_MSG_RESULT(cross, assuming yes)
+		OPENSSL_SEEDS_ITSELF=yes
 	]
 )
 fi
